org.keycloak.representations.adapters.config

## Class PolicyEnforcerConfig

- java.lang.Object
- - org.keycloak.representations.adapters.config.PolicyEnforcerConfig

-     public class PolicyEnforcerConfig
      extends Object

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PolicyEnforcerConfig.EnforcementMode`
    `static class` | `PolicyEnforcerConfig.EntitlementProtocolConfig`
    `static class` | `PolicyEnforcerConfig.MethodConfig`
    `static class` | `PolicyEnforcerConfig.PathConfig`
    `static class` | `PolicyEnforcerConfig.UmaProtocolConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyEnforcerConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAccessDeniedPath()`
    `PolicyEnforcerConfig.EnforcementMode` | `getEnforcementMode()`
    `PolicyEnforcerConfig.EntitlementProtocolConfig` | `getEntitlementProtocolConfig()`
    `List<PolicyEnforcerConfig.PathConfig>` | `getPaths()`
    `PolicyEnforcerConfig.UmaProtocolConfig` | `getUmaProtocolConfig()`
    `Boolean` | `isCreateResources()`
    `Boolean` | `isOnlineIntrospection()`
    `void` | `setCreateResources(Boolean createResources)`
    `void` | `setEnforcementMode(PolicyEnforcerConfig.EnforcementMode enforcementMode)`
    `void` | `setOnlineIntrospection(Boolean onlineIntrospection)`
    `void` | `setPaths(List<PolicyEnforcerConfig.PathConfig> paths)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyEnforcerConfig

          public PolicyEnforcerConfig()

  - ### Method Detail

    - #### isCreateResources

          public Boolean isCreateResources()

    - #### getPaths

          public List<PolicyEnforcerConfig.PathConfig> getPaths()

    - #### getEnforcementMode

          public PolicyEnforcerConfig.EnforcementMode getEnforcementMode()

    - #### setEnforcementMode

          public void setEnforcementMode(PolicyEnforcerConfig.EnforcementMode enforcementMode)

    - #### getUmaProtocolConfig

          public PolicyEnforcerConfig.UmaProtocolConfig getUmaProtocolConfig()

    - #### getEntitlementProtocolConfig

          public PolicyEnforcerConfig.EntitlementProtocolConfig getEntitlementProtocolConfig()

    - #### isOnlineIntrospection

          public Boolean isOnlineIntrospection()

    - #### setCreateResources

          public void setCreateResources(Boolean createResources)

    - #### setOnlineIntrospection

          public void setOnlineIntrospection(Boolean onlineIntrospection)

    - #### setPaths

          public void setPaths(List<PolicyEnforcerConfig.PathConfig> paths)

    - #### getAccessDeniedPath

          public String getAccessDeniedPath()

Copyright © 2016 JBoss by Red Hat. All rights reserved.